<template>
  <div>
    <List v-show="activeName=='List'" ref="list" />
    <Edit v-if="activeName=='Edit'" />
  </div>
</template>

<script>
import List from './components/list'
import Edit from './components/edit'
export default {
  components: {
    List: List,
    Edit: Edit
  },
  data() {
    return {
      activeName: 'List',
      USER_ID: '',
      // 离职申请审核状态【已打回0、待审核1、审核通过2】
      REVIEW_STATE: ''
    }
  },
  watch: {
    activeName(val) {
      if (val == 'List') {
        this.$refs.list.getList()
      }
    }
  }
}
</script>

<style scoped>

</style>
